* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

:root {
    --font-title: 'Montserrat', sans-serif;
    --font-text: 'Open Sans', sans-serif;
    --primary-color: rgb(10, 17, 40);
    --light-grey: #EEEEEE;
    --gap: 3rem;
}

html{
    font-size: 62.5%;
    scroll-behavior: smooth;
}

body {
    font-family: var(--font-text);
    font-size: 2.3rem;
}

.bg-dark {
    min-height: 100vh;
    background-image: url(../images/dark-bg.svg);
    background-size: cover;
    color: white;
}

.bg-white {
    background-color: white;
    min-height: 100vh;
    color: var(--primary-color);
}

.main-content {
    margin: 0px auto;
    text-align: center;
    padding: 6.5rem var(--gap);
}

h1, h2, h3, h4, h5, h6 {
    font-family: var(--font-title);
}

h2 {
    font-size: 6rem;
    text-transform: uppercase;
    margin-bottom: 5rem;
}

h3 {
    font-size: 5.5rem;
}

#menu-icon {
    display: none;
}

#menu {
    position: fixed;
    z-index: 2;
    background-color: white;
    width: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 0 var(--gap);
    border-bottom: 0.1rem solid var(--light-grey);
}

#menu a {
    text-decoration: none;
    padding: 1rem  1.5rem;
    color: var(--primary-color);
}

#menu h1 {
    font-size: 2.3rem;
    text-transform: uppercase;
}

#menu ul {
    list-style: none;
    display: flex;
}

#menu li {
    font-size: 1.4rem;
    text-transform: uppercase;
}

#menu li a:hover {
    background-color: rgba(0, 0, 0, 0.466);
    color: white;transition: all 300ms ease-in-out;
}

.intro {
    display: grid;
    grid-template-columns: 1fr 1.5fr;
}

.intro-content, .intro-img {
    display: flex;
    flex-flow: column wrap;
    justify-content: center;
    text-align: left;
}

.intro-img img{
    max-width: 100%;
    height: auto;
}

#top-3 {
    display: flex;
    flex-flow: column nowrap;
    justify-content: center;
    max-width: 70rem;
}

#top-3 h2{
    margin-bottom: 0.1rem;
}

#top-3 p{
    margin-top: 1.3rem;
    font-size: 2.2rem;
    text-align: justify;
}

#jobs {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
}

#jobs h2 {
    margin:0 5rem 1.5rem;
}
#jobs p {
    margin-bottom: 5rem;
}

.grid {
    margin-top: 5rem;
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: var(--gap);
    text-align: left;
    counter-reset: grid-count;
}

.grid-one h3 {
    font-size: 3rem;
    margin-bottom: 0.9rem;
    position: relative;
    padding-left: 5.5rem;
}
.grid-one h3::before {
    counter-increment: grid-count;
    content: counter(grid-count);
    font-size: 7rem;
    font-style: italic;
    transform: rotate(3deg);
    position: absolute;
    top: -3rem;
    left: 0rem;
}

.grid-one p {
    font-size: 2.3rem;
}

#gallery {
    text-align: left;
    display: flex;
    flex-flow: column nowrap;
}
#gallery h2 {
    margin-bottom: 1rem;
}

.gallery-img {
    width: 100%;
    max-height: 36rem;
    max-width: 36rem;
    overflow: hidden;
}

.grid-two img {
    background-size: cover;
    background-position: center center;
    transition: all 300ms ease-in-out;
}

.grid-two img:hover {
    transform: translate(-3%, 3%)scale(1.2) rotate(4deg);
}

#pricing p {
    margin-bottom: var(--gap);
}

.responsive-table {
    overflow: hidden;
    overflow-x: auto;
}

table {
    background-color: white;
    color: var(--primary-color);
    width: 100%;
    min-width: 36rem;
    white-space: nowrap;
    margin: auto;
    border: 0.1rem solid black;
    border-collapse: collapse;
}

thead, tfoot {
    background-color: lightgray;
}

caption {
    text-align: left;
    color: white;
    font-size: 1.6rem;
    padding-bottom: 1rem;
}

td, th {
    text-align: center;
    border: 0.1rem solid black;
    padding: 0.5rem 0.2rem;
}

.contact-form {
    grid-column: span 2;
}

fieldset {
    text-align: initial;
    border: none;
    display: flex;
    flex-flow: row wrap;
    gap: var(--gap);
}

.form-group {
    flex: 1 1 32rem;
}

label {
    display: block;
    font-size: 3rem;
    font-weight: 600;
}

input {
    font-size: 2.5rem;
}

.form-group input, textarea{
    padding: 1.5rem 2.5rem;
    width: 100%;
    font-size: 2rem;
}

body .full-width {
    width: 100%;
    flex: 1 1 100%;
}

form button {
    font-size: 3.5rem;
    border: 1rem solid var(--primary-color);
    padding: 1.5rem 2.5rem;
    background-color: var(--primary-color);
    color: white;
    cursor: pointer;
    transition: all 200ms ease-in-out;
}

form button:hover {
    background-color: white;
    color: var(--primary-color);
}

footer {
    display: flex;
    align-items: center;
    flex-direction: column;
    background-image: url(../images/dark-bg.svg);
    background-size: cover;
    padding: 1rem 2rem;
}

footer a {
    color: white;
    text-decoration: none;
}

footer a:hover {
    color: lightgray;
}

@media (max-width: 800px) {
    body {
        font-size: 2rem;
    }

    #menu {
        display: none;
    }

    .close-menu {
        display: flex;
        top: 0;
        bottom: 0;
        flex-direction: column;
        overflow-y: hidden;
    }

    .close-menu  ul{
        height: 100vh;flex-direction: column;
        justify-content: center;
        text-align: center;
        gap: var(--gap);
        
    }

    #menu.close-menu nav ul li {
        font-size: 2rem;
    }

    #menu-icon {
        display: block;
        position: fixed;
        z-index: 3;
        right: 2rem;
        top: 2rem;
        background-color: rgba(0, 0, 0, 0.452);
        text-decoration: none;
        font-size: 4rem;
        padding: 0.1rem 1.5rem;
        color: white;
        cursor: pointer;
    }


    h2 {
        font-size: 4.5rem;
    }
    
    .intro, .intro-content p, .main-content p, .grid {
        grid-template-columns: 1fr;
        text-align: justify;    
    }

    .grid-one h3 {
        font-size: 3rem;
    }
    .grid-one p {
        font-size: 2rem;
    }
    
    .gallery-img {
        margin: auto;
    }

    .gallery-img img {
        width: 100vw;
    }

    label, input {
        font-size: 1.8rem;
    }

    form button {
        font-size: 2rem;
        width: 100%;
    }
}